package nc.ui.gl.extendreport;

import java.awt.CardLayout;
import java.awt.Insets;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
import nc.ui.gl.extendreport.CardPanel;
import nc.ui.gl.extendreport.ExReportModel;
import nc.ui.gl.extendreport.ListPanel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ButtonObject;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.ToftPanel;
import nc.vo.gl.extendreport.ExtendreportVO;

public class ExtendreportConfig extends ToftPanel {

   private ListPanel ivjListPanel1 = null;
   private ButtonObject m_bButtonRefrashe = new ButtonObject(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000013"), NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000013"), 2, "刷新");
   private ButtonObject m_bButtonAppend = new ButtonObject(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000014"), NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000014"), 2, "增加");
   private ButtonObject m_bButtonEdit = new ButtonObject(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000015"), NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000015"), 2, "修改");
   private ButtonObject m_bButtonSave = new ButtonObject(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000016"), NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000016"), 2, "保存");
   private ButtonObject m_bButtonCancel = new ButtonObject(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000017"), NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000017"), 2, "取消");
   private ButtonObject m_bButtonDelete = new ButtonObject(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000018"), NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000018"), 2, "删除");
   private ButtonObject m_bButtonPrint = new ButtonObject(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000019"), NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000019"), 2, "打印");
   public ButtonObject m_bButtonNext = new ButtonObject(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000020"), NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000020"), 2, "下一步");
   public ButtonObject m_bButtonPrivate = new ButtonObject(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000021"), NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000021"), 2, "上一步");
   private ButtonObject[] m_aryButtonGroup;
   private CardPanel ivjCardPanel1;
   private ExReportModel model;
   private ExtendreportVO[] m_AllData;


   public ExtendreportConfig() {
      this.m_aryButtonGroup = new ButtonObject[]{this.m_bButtonRefrashe, this.m_bButtonAppend, this.m_bButtonEdit, this.m_bButtonDelete, this.m_bButtonNext, this.m_bButtonPrivate, this.m_bButtonSave, this.m_bButtonCancel, this.m_bButtonPrint};
      this.ivjCardPanel1 = null;
      this.model = null;
      this.m_AllData = null;
      this.initialize();
   }

   public void changePanel(String panelname) {
      ((CardLayout)this.getLayout()).next(this);
   }

   public void endStep(boolean isLast) {
      if(isLast) {
         this.m_bButtonNext.setEnabled(false);
         this.updateButton(this.m_bButtonNext);
      } else {
         this.m_bButtonNext.setEnabled(true);
         this.updateButton(this.m_bButtonNext);
      }

   }

   public void firstStep(boolean isLast) {
      if(isLast) {
         this.m_bButtonPrivate.setEnabled(false);
         this.updateButton(this.m_bButtonNext);
      } else {
         this.m_bButtonPrivate.setEnabled(true);
         this.updateButton(this.m_bButtonNext);
      }

   }

   private CardPanel getCardPanel1() {
      if(this.ivjCardPanel1 == null) {
         try {
            this.ivjCardPanel1 = new CardPanel();
            this.ivjCardPanel1.setName("CardPanel1");
         } catch (Throwable var2) {
            this.ivjCardPanel1.parent = this;
            this.handleException(var2);
         }
      }

      return this.ivjCardPanel1;
   }

   private ListPanel getListPanel1() {
      if(this.ivjListPanel1 == null) {
         try {
            this.ivjListPanel1 = new ListPanel();
            this.ivjListPanel1.setName("ListPanel1");
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjListPanel1;
   }

   public ExReportModel getModel() {
      if(this.model == null) {
         this.model = new ExReportModel();
      }

      return this.model;
   }

   public String getPk_corp() {
      return ClientEnvironment.getInstance().getCorporation().getPk_corp();
   }

   public String getTitle() {
      return NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000022");
   }

   public String getUser() {
      return ClientEnvironment.getInstance().getUser().getPrimaryKey();
   }

   private void handleException(Throwable exception) {
   }

   private void initialize() {
      try {
         this.setName("ExtendreportConfig");
         this.setLayout(new CardLayout());
         this.setSize(774, 419);
         this.add(this.getListPanel1(), this.getListPanel1().getName());
         this.add(this.getCardPanel1(), this.getCardPanel1().getName());
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.setButtons(this.m_aryButtonGroup);
      this.getCardPanel1().setModel(this.getModel());
      this.setButtonstatues(2);
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         ExtendreportConfig aExtendreportConfig = new ExtendreportConfig();
         exception.setContentPane(aExtendreportConfig);
         exception.setSize(aExtendreportConfig.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.ToftPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void onAdd() {
      this.changePanel("");
      this.setButtonstatues(1);
      this.getCardPanel1().clearData();
      this.getCardPanel1().onAdd();
   }

   public void onButtonClicked(ButtonObject bo) {
      if(bo == this.m_bButtonCancel) {
         ;
      }

      if(bo == this.m_bButtonRefrashe) {
         this.onRefresh();
      }

      if(bo == this.m_bButtonAppend) {
         this.onAdd();
      }

      if(bo == this.m_bButtonEdit) {
         ;
      }

      if(bo == this.m_bButtonDelete) {
         ;
      }

      if(bo == this.m_bButtonSave) {
         this.onSave();
      }

      if(bo == this.m_bButtonPrint) {
         ;
      }

      if(bo == this.m_bButtonNext) {
         this.getCardPanel1().next();
      }

      if(bo == this.m_bButtonPrivate) {
         this.getCardPanel1().pravate();
      }

      if(bo == this.m_bButtonCancel) {
         this.onCancel();
      }

   }

   public void onCancel() {
      this.getCardPanel1().clearData();
      this.changePanel("");
      this.setButtonstatues(2);
   }

   public void onRefresh() {
      this.m_AllData = this.getModel().refresh(this.getPk_corp(), this.getUser());
      this.getListPanel1().showList(this.m_AllData);
   }

   public void onSave() {
      this.getCardPanel1().save();
      this.showHintMessage(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000023"));
      this.changePanel("");
      this.onRefresh();
      this.setButtonstatues(2);
   }

   public void setButtonstatues(int istatue) {
      switch(istatue) {
      case 1:
         this.m_bButtonRefrashe.setEnabled(false);
         this.m_bButtonAppend.setEnabled(false);
         this.m_bButtonEdit.setEnabled(false);
         this.m_bButtonDelete.setEnabled(false);
         this.m_bButtonSave.setEnabled(true);
         this.m_bButtonCancel.setEnabled(true);
         this.m_bButtonPrint.setEnabled(false);
         this.m_bButtonNext.setVisible(true);
         this.m_bButtonPrivate.setVisible(true);
         break;
      case 2:
         this.m_bButtonRefrashe.setEnabled(true);
         this.m_bButtonAppend.setEnabled(true);
         this.m_bButtonEdit.setEnabled(true);
         this.m_bButtonDelete.setEnabled(true);
         this.m_bButtonSave.setEnabled(false);
         this.m_bButtonCancel.setEnabled(false);
         this.m_bButtonPrint.setEnabled(true);
         this.m_bButtonNext.setVisible(false);
         this.m_bButtonPrivate.setVisible(false);
      }

      this.updateButtons();
   }
}
